[AETHER-748] Apps update does not work properly

- apps-update target has been renamed in apps
- update targets have been merged together with the app-name target. Updates are
performed with respect of the versions defined in Makefile.vars.
- remote update is used to sync up with the remote avoiding pull which can return -1
if we are not on a branch and updates only the branch we are on.
- checkout origin/{version} is used to avoid stale branches.
- checkout {version} is used to switch on local branches or specific commit

Additionally, updates ONOS to the latest published artifacts

Change-Id: I9caebb76219b2e8da05ca6f0858ee73478a92533
diff --git a/app-build.sh b/app-build.sh
index 473eb29..917d5ad 100755
--- a/app-build.sh
+++ b/app-build.sh
@@ -120,7 +120,7 @@
 	if [ ! -f "$7" ]; then
 		cd "$2" || exit 1
 		# Verify for the last time if the VERSION is a checkout object or a review
-		if ! (git checkout "$5"); then
+		if ! (git checkout "origin/$5" || git checkout "$5"); then
 			if ! (git fetch "$8" "$5" && git checkout FETCH_HEAD); then
 				exit 1
 			fi